## Create a new workflow instance `client.workflows.instances.create(stringworkflowName, InstanceCreateParamsparams, RequestOptionsoptions?): InstanceCreateResponse` **post** `/accounts/{account_id}/workflows/{workflow_name}/instances` Creates a new instance of a workflow, starting its execution. ### Parameters - `workflowName: string` - `params: InstanceCreateParams` - `account_id: string` Path param - `instance_id?: string` Body param - `instance_retention?: InstanceRetention` Body param - `error_retention?: number | string` Specifies the duration in milliseconds or as a string like '5 minutes'. - `number` - `string` - `success_retention?: number | string` Specifies the duration in milliseconds or as a string like '5 minutes'. - `number` - `string` - `params?: unknown` Body param ### Returns - `InstanceCreateResponse` - `id: string` - `status: "queued" | "running" | "paused" | 5 more` - `"queued"` - `"running"` - `"paused"` - `"errored"` - `"terminated"` - `"complete"` - `"waitingForPause"` - `"waiting"` - `version_id: string` - `workflow_id: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const instance = await client.workflows.instances.create('x', { account_id: 'account_id' }); console.log(instance.id); ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "id": "x", "status": "queued", "version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" }, "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ```